Vertex Component Analysis

Brief Description

Find endmembers in hyperspectral images with Vertex Component Analysis

Tags

Hyperspectral, Dimensionality Reduction

Long Description

Applies the Vertex Component Analysis to an hyperspectral image to extract endmembers

Parameters

- [param] Input Image (-in): Input hyperspectral data cube

- [param] Number of endmembers (-ne): The number of endmembers to extract from the data cube

- [param] Output Endmembers (-outendm): The endmebers, stored in a one-line multi-spectral image, each pixel representing an endmember

Limitations

None

Authors

OTB-Team

See also

Example of use

- Parameters to set value:

- Input Image: hsi_cube.tif

- Number of endmembers: 5

- Output Endmembers: VertexComponentAnalysis.tif double

- Command line to execute:

otbcli_VertexComponentAnalysis -in hsi_cube.tif -ne 5 -outendm VertexComponentAnalysis.tif double